import {Injectable} from '@angular/core';

export type SpecialistData = {
  id: number,
  imageSrc: string,
  name: string,
  position: string,
  about: string
}

@Injectable({
  providedIn: 'root'
})
export class TeamService {
  public teamData: SpecialistData[] = [];
  public specialistNames: string[] = [];

  constructor() {
    this.teamData = [
      {
        id: 1,
        imageSrc: 'assets/images/team/7.jpg',
        name: 'Казьмин Николай Владимирович',
        position: 'Директор, врач ультразвуковой диагностики, врач-акушер-гинеколог',
        about: 'Диплом: Луганский медицинский институт, 1994 год, серия КМ №013632\n' +
          'Сертификат: Акушерство и гинекология, №1178242441022, 27.03.2020 (срок действия до 27.03.2025);\n' +
          'Ультразвуковая диагностика, №1177241788383, 23.10.2018 (срок действия до 23.10.2023);\n' +
          'Организация здравоохранения и общественное здоровье, №1178242440664, 26.03.2020 (срок действия до 26.03.2025'
      },
      {
        id: 2,
        imageSrc: 'assets/images/team/8.jpg',
        name: 'Заяц Сергей Анатольевич',
        position: 'Врач-кардиолог, врач функциональной диагностики',
        about: 'Диплом: ФГОУ ВПО «Самарский военно-медицинский институт» Министерства обороны Российской Федерации, 2003, серия ДВС №0957455\n' +
          'Сертификат: Кардиология, серия 016104 №0008138, 28.11.2019 (срок действия до 28.11.2024);\n' +
          'Функциональной диагностика, №1154241574801, 12.04.2018 (срок действия до 12.04.2023)'
      },
      {
        id: 3,
        imageSrc: 'assets/images/team/2.jpg',
        name: 'Медведев Георгий Алексеевич',
        position: 'Врач-колопроктолог, врач-хирург',
        about: 'Диплом: Ростовский ордена Дружбы народов медицинский институт Министерства здравоохранения СССР, 1984, №106\n' +
          'Сертификат: Колопроктология, №1177181067176, 25.12.2020 (срок действия до 25.12.2025);\n' +
          'Хирургия, серия 017827 №0102699, 14.12.2019 (срок действия до 14.12.2024)'
      },
      {
        id: 4,
        imageSrc: 'assets/images/team/3.jpg',
        name: 'Тимонина Алла Федоровна',
        position: 'Врач-уролог',
        about: 'Диплом: Ворошиловградский медицинский институт, 1976, №741723\n' +
          'Сертификат: Урология, №1177242631198, 18.11.2020 (срок действия до 18.11.2025)'
      },
      {
        id: 5,
        imageSrc: 'assets/images/team/9.jpg',
        name: 'Пархомец Владимир Васильевич',
        position: 'Врач-травматолог-ортопед',
        about: 'Диплом: Ростовский ордена Дружбы народов медицинский институт Министерства здравоохранения СССР, 1989, серия ТВ №397113\n' +
          'Сертификат: Травматология и ортопедия, 1177242449779, 19.10.2020 (срок действия до 19.10.2025)'
      },
      {
        id: 6,
        imageSrc: 'assets/images/team/6.jpg',
        name: 'Кирсанов Игорь Владимирович',
        position: 'Врач-травматолог-ортопед, врач мануальной терапии',
        about: 'Диплом: Луганский медицинский институт, 1994 год, серия КМ №013641\n' +
          'Сертификат: Травматология и ортопедия, №1178242440797, 27.02.2020 (срок действия до 27.02.2025);\n' +
          'Мануальная терапия, №1178242440798, 23.03.2020 (срок действия до 23.03.2025)'
      },
      {
        id: 7,
        imageSrc: 'assets/images/team/12.jpg',
        name: 'Волчанская Татьяна Анатольевна',
        position: 'Врач-невролог',
        about: 'Диплом: Воронежская государственная медицинская академия им. Н.Н. Бурденко, 1999, серия ДВС №0048848\n' +
          'Сертификат: Неврология, серия 027727 №0005187, 23.03.2020 (срок действия до 23.03.2025)'
      },
      {
        id: 8,
        imageSrc: 'assets/images/team/1.jpg',
        name: 'Пиховкина Елена Алексеевна',
        position: 'Врач-невролог',
        about: 'Диплом: Государственная классическая академия имени Маймонида, 2002, серия БВС №0646671\n' +
          'Сертификат: Неврология, №1177242631998, 11.11.2020 (срок действия до 11.11.2025)'
      },
      {
        id: 9,
        imageSrc: 'assets/images/team/10.jpg',
        name: 'Богданова Наталья Анатольевна',
        position: 'Врач-акушер-гинеколог',
        about: 'Диплом: Ростовский ордена Дружбы народов медицинский институт Министерства здравоохранения СССР, 1990, серия ТВ №397674\n' +
          'Сертификат: Акушерство и гинекология, серия 016104 №0012282, 03.11.2020 (срок действия до 03.11.2025)'
      },
      {
        id: 10,
        imageSrc: 'assets/images/team/11.jpg',
        name: 'Курганская Наталия Владимировна',
        position: 'Врач ультразвуковой диагностики, врач-акушер-гинеколог',
        about: 'Диплом: ФГОУ «Саратовский государственный медицинский университет», 1999, серия АВС №0249690\n' +
          'Сертификат: Акушерство и гинекология, №1177242629594, 27.11.2020 (срок действия до 27.11.2025);\n' +
          'Ультразвуковая диагностика, №1177242544138, 27.11.2020 (срок действия до 27.11.2025)'
      },
      {
        id: 11,
        imageSrc: 'assets/images/team/5.jpg',
        name: 'Уваровская Светлана Сергеевна',
        position: 'Медицинская сестра',
        about: 'Диплом: Каменск-Шахтинское медицинское училище, 1993 год, серия СТ №648519\n' +
          'Сертификат: Сестринское дело, №1177243003979, 30.12.2020 (срок действия до 30.12.2025)'
      },
      {
        id: 12,
        imageSrc: 'assets/images/team/4.jpg',
        name: 'Мошечкова Наталия Александровна',
        position: 'Медицинская сестра',
        about: 'Диплом: Каменск-Шахтинское медицинское училище, 1997 год, серия МО №017154\n' +
          'Сертификат: Сестринское дело, №1177242149645, 18.11.2019 (срок действия до 18.11.2024)'
      },
    ];
    this.specialistNames = this.teamData.map((res) => res.name);
  }
}
